Get an address Run in API Explorer
Ask AI
GET
/api/v2/addresses/{uuid}
curl \
--request GET 'https://api.plannrcrm.com/api/v2/addresses/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"uuid": "36146938-3541-4d9b-a2d1-f00e865cb767",
"created_at": "2026-10-29T17:25:07+00:00",
"updated_at": "2026-10-29T17:25:07+00:00",
"name": "Work Address",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"address_3": "The Innovative Centre",
"address_4": "Waterlooville",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"accounts": {
"uuid": "3bf1c3e7-c9f1-4993-bc76-1ec67db9d4fb",
"created_at": "2026-10-29T17:25:07+00:00",
"updated_at": "2026-10-29T17:25:07+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "d966c70b-b1e3-4681-a484-10e116f601a0",
"created_at": "2026-10-29T17:25:13+00:00",
"updated_at": "2026-10-29T17:25:13+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"primary_accounts": {
"uuid": "2f563a11-4b8d-4dcd-aec9-2f29778b7142",
"created_at": "2026-10-29T17:25:07+00:00",
"updated_at": "2026-10-29T17:25:07+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "d966c70b-b1e3-4681-a484-10e116f601a0",
"created_at": "2026-10-29T17:25:13+00:00",
"updated_at": "2026-10-29T17:25:13+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"moved_in_month": 6,
"moved_in_year": 2022,
"moved_out_month": 1,
"moved_out_year": 2024,
"residential_status": "homeowner",
"residential_status_other": "homeowner",
"lived_in_months": 19
}